
TYPO3 Flow Base Distribution - Bug # 41809

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-10-09 Assigned To: Rens Admiraal
Updated: 2012-11-08 Due date:
Affected Flow version: Git 1.2 (master)
Subject: ConfigurationBuilder throws an error on classes without methods
Description

The ConfigurationBuilder does a foreach over the result of get_class_methods($class). This throws a fatal error if the class does not
have methods.

Related issues:
related to TYPO3.Flow - Task # 41832: Improve error handling for incompatible... New 2012-10-10

Associated revisions
Revision d4883986 - 2012-11-08 15:57 - Rens Admiraal

[BUGFIX] Throw proper exception in ConfigurationBuilder

Add a check if the return value of get_class_methods() used in
autowireProperties() actually is an array. Throw an exception if it is
not, as this should not happen.

Change-Id: I2fdbec9d4513ee27bcb18c87f858d5b17eb1695b
Fixes: #41809
Releases: 1.2

History
#1 - 2012-10-09 21:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#2 - 2012-10-09 21:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#3 - 2012-10-09 21:47 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#4 - 2012-10-09 21:56 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#5 - 2012-10-09 21:57 - Rens Admiraal

little update, it's not when a class has no methods, just when the class does not exist or another error occurs during fetching the methods

#6 - 2012-11-08 11:53 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#7 - 2012-11-08 11:54 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#8 - 2012-11-08 11:55 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#9 - 2012-11-08 15:57 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15459

#10 - 2012-11-08 21:36 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d488398654c2a1a88ec736aa38d1c8cb2aaa615c.
